# See https://pre-commit.com for more information
# See https://pre-commit.com/hooks.html for more hooks
repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: ebc15addedad713c86ef18ae9632c88e187dd0af # frozen: v3.1.0
    hooks:
      - id: trailing-whitespace
      - id: check-yaml
      - id: check-added-large-files

#  - repo: https://github.com/psf/black
#    rev: 22.3.0 # frozen: 22.3.0
#    hooks:
#      - id: black

  - repo: https://github.com/timothycrosley/isort
    rev: 5.11.5
    hooks:
      - id: isort
        language: python
        types: [python]
        additional_dependencies: [toml]
        args: [--settings-file=./pyproject.toml]
exclude: |
  (?x)(
      snapshots
  )